curl --request GET \
--url https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/inscriptions/activity \
--header 'api-key: <api-key>'import requests
url = "https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/inscriptions/activity"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xbt-mainnet.gomaestro-api.org/v0/wallet/addresses/{address}/inscriptions/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"confirmations": 0,
"height": 901787,
"inscription_activity": {
"received": [
{
"from": {
"address": "bc1q8jtuypcd0p9v7eu8zq9uhd42tvy6gwh89zuchh",
"input_index": 0,
"sat_offset": 0,
"script_pubkey": "00143c97c2070d784acf6787100bcbb6aa5b09a43ae7"
},
"inscription_id": "1e6f91f13fe9a4359e1b9d6e7723cacb815d250337dab921f7b90fca62913e73i577",
"to": {
"address": "bc1pck742mdgmrd473upp553jj5x2w62q6mzd3enxjdegrxx2sc7rcmqnndp86",
"output_txid": "cf5caab63c40314fdd2f421b19541f9b25926d2a6318845ad8bc3266b4b8a8be",
"output_vout": 0,
"sat_offset": 0,
"script_pubkey": "5120c5bd556da8d8db5f47810d29194a8653b4a06b626c733349b940cc65431e1e36"
}
}
],
"self_transferred": [],
"sent": []
},
"mempool": true,
"tx_hash": "cf5caab63c40314fdd2f421b19541f9b25926d2a6318845ad8bc3266b4b8a8be"
},
{
"confirmations": 7,
"height": 901780,
"inscription_activity": {
"received": [
{
"from": {
"address": "bc1p7jwyezderr5qxepw57fepw9dmdetn9pqkj2e3m7ufffthspdj5aqdxsdw5",
"input_index": 0,
"sat_offset": 0,
"script_pubkey": "5120f49c4c89b918e803642ea79390b8addb72b99420b49598efdc4a52bbc02d953a"
},
"inscription_id": "a8a3f114d24e0e270a4d66457ff1ca1d11eb21d4daa02ffcd1b643a1c6731a2ci1388",
"to": {
"address": "bc1pck742mdgmrd473upp553jj5x2w62q6mzd3enxjdegrxx2sc7rcmqnndp86",
"output_txid": "09b6730e0f11f87c31f8d4977785292e9c741b16834d59a0b2f352ee01a43e91",
"output_vout": 0,
"sat_offset": 0,
"script_pubkey": "5120c5bd556da8d8db5f47810d29194a8653b4a06b626c733349b940cc65431e1e36"
}
}
],
"self_transferred": [],
"sent": []
},
"mempool": false,
"tx_hash": "09b6730e0f11f87c31f8d4977785292e9c741b16834d59a0b2f352ee01a43e91"
}
],
"indexer_info": {
"chain_tip": {
"block_hash": "00000000000000000000d7398966d32c809e5acad484574547150c97d39eea91",
"block_height": 901786
},
"estimated_blocks": [
{
"block_height": 901787,
"sats_per_vb": {
"max": 991,
"median": 5,
"min": 1
}
}
],
"mempool_timestamp": "2025-06-18 16:28:43"
},
"next_cursor": "Aw3ClAEBkT6kAe5S87KgWU2DFht0nC4phXeX1PgxfPgRDw5ztgk"
}Inscription Activity by Address (Mempool-aware)
Get Bitcoin Ordinals inscription activity for an address including transfers and ownership changes with mempool awareness.
Authorizations
Project API Key
Path Parameters
Bitcoin address or hex encoded script pubkey
Query Parameters
The order in which the results are sorted. Supported values: asc, desc
asc, desc The max number of results per page
x >= 0Return only transactions created on or after a specific height
x >= 0Return only transactions created on or before a specific height
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Return only transactions containing a specific inscription, specified by an inscription ID. In presence of activity_kind, it relates to this specific inscription. In presence of exclude_self_transfers, it is this specific inscription that should be sent or received but not self-transferred.
Filter txs by presence of specific activity kind. Supported values: send, receive, self_transfer. In presence of inscription filter, the activity kind relates to that specific inscription. In presence of exclude_self_transfers, this activity kind cannot be self_transfer.
self_transfer, send, receive Exclude txs only containing inscriptions self-transfers. In presence of activity_kind, it cannot be self_transfer. In presence of inscription filter, that specific inscription should be sent or received, not self-transferred.
Include mempool data. Default: true.
Was this page helpful?

